## ros-indigo-rosjava-bootstrap 0.2.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rosjava_bootstrap)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED rosjava_build_tools)

catkin_rosjava_setup(publishMavenJavaPublicationToMavenRepository installApp)

catkin_package()

##############################################################################
# Installation
##############################################################################

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_bootstrap/ 
        DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/org/ros/rosjava_bootstrap)

=== debian/changelog ===
ros-indigo-rosjava-bootstrap (0.2.1-0trusty) trusty; urgency=high

  * minor bugfixes and improvements.
  * java source compatibility for java 1.6 -> 1.7
  * centralised buildscript for java packages.
  * add eclipse and idea plugins for easy ide support.
  * Add support of UTF-8!
  * update to the latest gradle plugin.
  * single interface generator for genjava.
  * Fix SSL connection errors with Java 1.7.
  * Contributors: Damon Kohler, Daniel Stonier, Mickael Gaillard, talregev

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 24 Feb 2015 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.21-0trusty) trusty; urgency=high

  * Android gradle plugin 0.9.+->0.11.+ (studio 0.6)
  * Android sdk build tools 19.0.3 -> 19.1 (studio 0.6)
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Jun 2014 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.20-0trusty) trusty; urgency=high

  * Trim maven repository list and backup with maven central.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Mar 2014 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.19-0trusty) trusty; urgency=high

  * gradle 1.11, buildTools 19.0.3, gradle android plugin 0.9.+
  * remove unused debugging variables
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 18 Mar 2014 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.18-0trusty) trusty; urgency=high

  * set default maven repo if variable is empty and bugfix dynamic property warnings.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 08 Feb 2014 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.11-0trusty) trusty; urgency=high

  * catkin tree generator now takes latest versions only.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Oct 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.9-0trusty) trusty; urgency=high

  * utilise ROS_MAVEN_REPOSITORY

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Oct 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.8-0trusty) trusty; urgency=high

  * bugfix upgrade version numbers for rosgraph_test_msgs.
  * gradle 1.7->1.8 and android_tools->18.1.1
  * avoid using .+ ranged dependencies as it breaks the repo

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 25 Oct 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.7-0trusty) trusty; urgency=high

  * use maven-publish plugin for publishing rosjava packages.
  * centralise last code snippets from android build.gradle's.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.6-0trusty) trusty; urgency=high

  * disabling osgi.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 21 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.5-0trusty) trusty; urgency=high

  * maven deployment path -> maven deployment repository.
  * bugfix install location.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 17 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.4-0trusty) trusty; urgency=high

  * depend on message generation 0.1.+
  * use package.xml version.
  * run_depends for the build tools.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 16 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.3-0trusty) trusty; urgency=high

  * added excludes to the ros android plugin.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 16 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.2-0trusty) trusty; urgency=high

  * ros android plugin added
  * gradle wrapper -> 1.7

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 16 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.1-0trusty) trusty; urgency=high

  * message artifact creation bugfixes.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 12 Sep 2013 15:00:00 -0000

ros-indigo-rosjava-bootstrap (0.1.0-0trusty) trusty; urgency=high

  * several plugins for sharing of ros gradle logic
  * message generation code brought in from rosjava_core

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 11 Sep 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosjava-bootstrap
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosjava-build-tools
Homepage: http://ros.org/wiki/rosjava_bootstrap
Standards-Version: 3.9.2

Package: ros-indigo-rosjava-bootstrap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rosjava-build-tools
Description: Bootstrap utilities for rosjava builds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosjava-bootstrap//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
